// Load mysql
const config1 = require('../config/config.json')
const config = config1.modules.mysql
const MySQL = require('mysql');
const sql = MySQL.createConnection({
    host: `${config.host}`,
    user: `${config.user}`,
    password: `${config.password}`,
    database: `${config.database}`,
    charset: 'utf8mb4' // In order to save emojis correctly
});
sql.connect((err) => {
    if (err) {
        // Stop the process if we can't connect to the MySQL server
        throw new Error('Impossible to connect to MySQL server. Code: ' + err.code);
    } else {
        console.log('[SQL] Connected to the MySQL server! Connection ID: ' + sql.threadId);
    }
});
//make tables as needed
module.exports = sql;