const { ApplicationCommandType, EmbedBuilder } = require('discord.js');

module.exports = {
	name: 'ping',
	description: "Check bot's ping.",
	type: ApplicationCommandType.ChatInput,
	cooldown: 3000,
	run: async (client, interaction) => {
		const pong = new EmbedBuilder()
			.setColor(0x0099FF)
			.setTitle('Bot Latency')
			.setDescription(`**${Math.round(client.ws.ping)} ms**`);

		interaction.reply({ embeds: [pong] });
	}
};